View Issue Details

IDProjectCategoryView StatusLast Update
0001487unrealircdpublic2004-12-02 16:03
ReportertabrisnetAssigned Tosyzop 
PrioritynormalSeveritytrivialReproducibilityalways
Status resolvedResolutionfixed 
Platformi686/athlonOSDebian LinuxOS Versiontesting
Product Version3.2-beta19 
Target VersionFixed in Version3.2.3 
Summary0001487: chanmode +z in conjunction with mode +i or +k, and operoverride invite
Descriptionif chanmode +z is set, and an oper who is not on an SSL connection tries to invite themselves in, they will receive a note from the ircd that they need to use /join #channel override using override as the key.

However, if +z is set, and +i or +k, this notice is not sent to the oper. however, /join #channel override does work.
Steps To Reproduceset chanmode +zi or +zk
have an oper w/o umode z invite themself in.
TagsNo tags attached.
3rd party modules

Activities

syzop

2004-01-11 19:58

administrator   ~0004638

will fix it soon.

vonitsanet

2004-06-30 15:28

reporter   ~0006818

Fixed (or not yet)?

tabrisnet

2004-06-30 16:01

reporter   ~0006819

as of Unreal 3.2.0 release, not fixed (just tested it).

syzop

2004-12-02 11:59

administrator   ~0008455

Fixed in .202.

Issue History

Date Modified Username Field Change
2004-01-10 21:32 tabrisnet New Issue
2004-01-11 19:58 syzop Note Added: 0004638
2004-01-12 13:01 syzop Status new => confirmed
2004-01-12 13:01 syzop ETA none => < 1 week
2004-06-30 15:28 vonitsanet Note Added: 0006818
2004-06-30 16:01 tabrisnet Note Added: 0006819
2004-12-02 11:59 syzop Status confirmed => resolved
2004-12-02 11:59 syzop Fixed in Version => 3.2.3
2004-12-02 11:59 syzop Resolution open => fixed
2004-12-02 11:59 syzop Assigned To => syzop
2004-12-02 11:59 syzop Note Added: 0008455
2004-12-02 11:59 syzop Assigned To syzop =>
2004-12-02 15:53 codemastr Assigned To => syzop